Subject: [.plan] Ducktyping und Unittests in der Bildung
From: Boris Kraut <[email-masked]>
To: undisclosed-recipients: ;
Date: Wed, 09 Oct 2013 00:15:09 +0200

Was einige Techniker manchmal mit dem Bildungssystem vorhaben, geht
mir ziemlich auf den Zeiger. Man kann viel von technischen Prozessen
lernen und uebertragen, aber nur weil ihr die Technik beherrscht,
heisst das nicht, dass ihr diejenigen seid, die das auch fuer den
Bildungsbereich umsetzen muesst. Und ganz im Ernst: Die o.g. Sachen
sind schon lange in der Schule ueeblich.. und sie sind Teil des
Problems: Wir haben bereits Tests, die Funktionen pruefen, aber wir
haben keine Tests, die wirklich gegen die Bildungsziele testen. Und
die gaengige Praxis ist leider sogar noch fataler. Denn wir haben
ungeeignete Tests und statt sie als Werkzeug zu begreifen, setzt man
sie als Ziel. Sie sind nicht mehr Indikator, ob "alles funktioniert",
nein, man optimiert darauf, diese Tests erfolgreich zu absolvieren.
Das ist als ob man die richtigen Ergebnisse hardcodet: Die Tests
laufen durch, aber beim Live-Test im Leben, geht alles schief...